| FFmpegKit iOS / macOS / tvOS API 4.5

Instance Methods
MediaInformation Class Reference

`#import <MediaInformation.h>`

## Instance Methods
(instancetype) | - init:withStreams:
(NSString *) | - getFilename
(NSString *) | - getFormat
(NSString *) | - getLongFormat
(NSString *) | - getDuration
(NSString *) | - getStartTime
(NSString *) | - getSize
(NSString *) | - getBitrate
(NSDictionary *) | - getTags
(NSArray *) | - getStreams
(NSString *) | - getStringProperty:
(NSNumber *) | - getNumberProperty:
(NSDictionary *) | - getProperties:
(NSDictionary *) | - getMediaProperties
(NSDictionary *) | - getAllProperties

## Detailed Description

Media information class.

Definition at line 39 of file MediaInformation.h.

## Method Documentation

## ◆ getAllProperties

- (NSDictionary *) getAllProperties |  |  |

Returns all properties defined.

Returns
  all properties in a dictionary or nil if no properties are defined

Definition at line 42 of file MediaInformation.m.

## ◆ getBitrate

- (NSString *) getBitrate |  |  |

Returns bitrate.

Returns
  media bitrate in kb/s

Definition at line 42 of file MediaInformation.m.

## ◆ getDuration

- (NSString *) getDuration |  |  |

Returns duration.

Returns
  media duration in milliseconds

Definition at line 42 of file MediaInformation.m.

## ◆ getFilename

- (NSString *) getFilename |  |  |

Returns file name.

Returns
  media file name

Definition at line 42 of file MediaInformation.m.

## ◆ getFormat

- (NSString *) getFormat |  |  |

Returns format.

Returns
  media format

Definition at line 42 of file MediaInformation.m.

## ◆ getLongFormat

- (NSString *) getLongFormat |  |  |

Returns long format.

Returns
  media long format

Definition at line 42 of file MediaInformation.m.

## ◆ getMediaProperties

- (NSDictionary *) getMediaProperties |  |  |

Returns all media properties.

Returns
  all media properties in a dictionary or nil if no media properties are defined

Definition at line 42 of file MediaInformation.m.

## ◆ getNumberProperty:

- (NSNumber *) getNumberProperty: |  | (NSString*) | key |

Returns the media property associated with the key.

Returns
  media property as number or nil if the key is not found

Definition at line 42 of file MediaInformation.m.

## ◆ getProperties:

- (NSDictionary *) getProperties: |  | (NSString*) | key |

Returns the media properties associated with the key.

Returns
  media properties in a dictionary or nil if the key is not found

Definition at line 42 of file MediaInformation.m.

## ◆ getSize

- (NSString *) getSize |  |  |

Returns size.

Returns
  media size in bytes

Definition at line 42 of file MediaInformation.m.

## ◆ getStartTime

- (NSString *) getStartTime |  |  |

Returns start time.

Returns
  media start time in milliseconds

Definition at line 42 of file MediaInformation.m.

## ◆ getStreams

- (NSArray *) getStreams |  |  |

Returns all streams.

Returns
  streams array

Definition at line 42 of file MediaInformation.m.

## ◆ getStringProperty:

- (NSString *) getStringProperty: |  | (NSString*) | key |

Returns the media property associated with the key.

Returns
  media property as string or nil if the key is not found

Definition at line 42 of file MediaInformation.m.

## ◆ getTags

- (NSDictionary *) getTags |  |  |

Returns all tags.

Returns
  tags dictionary

Definition at line 42 of file MediaInformation.m.

## ◆ init:withStreams:

- (instancetype) init: |  | (NSDictionary*) | mediaDictionary
withStreams: |  | (NSArray*) | streams

Definition at line 42 of file MediaInformation.m.

The documentation for this class was generated from the following files:

- MediaInformation.h
- MediaInformation.m